# 32/64bit spec
#
%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	A freedesktop.org menu implementation
Summary(de):	Eine freedesktop.org Meüimplementierung
Name:		garcon
Version:	0.4.0
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/libs/garcon/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		fix_subdirs_and_icon_size.patch
BuildRequires:	intltool
BuildRequires:	glib2-devel
BuildRequires:	gtk-doc
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:	gtk2-devel
BuildRequires:	libxfce4ui-devel
BuildRequires:	libxfce4util-devel
BuildRequires:	gettext-devel
BuildRequires:	libpthread-stubs
Requires:	%{libname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot


%description
Garcon is an implementation of the freedesktop.org menu specification
replacing the former Xfce menu library libxfce4menu. It is based on
GLib/GIO only and aims at covering the entire specification except for
legacy menus.

%description -l de
Garcon ist eine Implementierung der freedesktop.org Menüspezifikation,
welche die frühere Xfce Menübibliothek libxfce4menu ersetzt. Sie basiert
nur auf GLib/GIO und hat das Ziel die ganze Spezifikation abzudecken,
ausgenommen die alten Menüs.

%package -n %{libname}
Summary:	A freedesktop.org menu implementation
Summary(de):	Eine freedesktop.org Meüimplementierung
Group:		Graphical desktop/Xfce
Conflicts:	xfdesktop < 4.8.0
Provides:	garcon = %{version}-%{release}

%description -n %{libname}
Garcon is an implementation of the freedesktop.org menu specification
replacing the former Xfce menu library libxfce4menu. It is based on
GLib/GIO only and aims at covering the entire specification except for
legacy menus.

%description -n %{libname} -l de
Garcon ist eine Implementierung der freedesktop.org Menüspezifikation,
welche die frühere Xfce Menübibliothek libxfce4menu ersetzt. Sie basiert
nur auf GLib/GIO und hat das Ziel die ganze Spezifikation abzudecken,
ausgenommen die alten Menüs.

%package -n %{develname}
Summary:	Development files for %{name}
Summary(de):	Entwicklerdateien für %{name}
Group:		Graphical desktop/Xfce
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%description -n %{develname} -l de
Entwicklerdateien und Header für %{name}

%package doc
Summary: 	Documentation for %{name}
Summary(de):	Dokumentation für %{name}
Group: 		Documentation
Requires: 	%{name}

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}

%prep
%setup -q
%patch0 -p0

%build
./autogen.sh --prefix=/usr --enable-gtk-doc
%configure2_5x --enable-gtk-doc

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# rename menu file conflicts with our own one
mv %{buildroot}/%{_sysconfdir}/xdg/menus/xfce-applications.menu %{buildroot}/%{_sysconfdir}/xdg/menus/original-xfce-applications.menu

rm -f %{buildroot}/%{_libdir}/*%{name}*.la
rm -f %{buildroot}/%{_libdir}/*%{name}*.a


%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_datadir}/locale
%{_sysconfdir}/xdg/menus/original-xfce-applications.menu
%{_datadir}/desktop-directories/*.directory


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*%{name}*.so.%{major}*


%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}*
%{_libdir}/*%{name}*.so
%{_libdir}/pkgconfig/%{name}-*.pc

%files doc
%defattr(-,root,root)
%doc AUTHORS HACKING NEWS README STATUS TODO THANKS
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Sat Mar 14 2015 ghostbunny <ghostbunny at gmx dot de> 0.4.0-3pclos2015
- extend patch to display the correct icon size in case the referenced icon has no
  file extension and is not in the current icon theme.

* Wed Mar 11 2015 ghostbunny <ghostbunny at gmx dot de> 0.4.0-2pclos2015
- add patch to fix more applications menu
- add BR gettext-devel, libpthread-stubs
- fix applications menu

* Sun Mar 01 2015 ghostbunny <ghostbunny at gmx dot de> 0.4.0-1pclos2015
- 0.4.0
- add missing BRs gtk-doc, %{_lib}gdk_pixbuf2.0_0-devel, gtk2-devel, libxfce4ui-devel
  and libxfce4util-devel

* Tue Feb 25 2014 ghostbunny <ghostbunny at gmx dot de> 0.3.0-1pclos2014
- 0.3.0
- change group of doc package to Documentation

* Mon May 06 2013 ghostbunny <ghostbunny at gmx dot de> 0.2.1-1pclos2013
- 0.2.1

* Thu Nov 01 2012 Neal <nealbrks0 at gmail dot com> 0.2.0-2pclos2012
- process

* Wed Oct 31 2012 ghostbunny <ghostbunny at gmx dot de> 0.2.0-2pclos2012
- added Provides to lib package

* Mon Sep 24 2012 Neal <nealbrks0 at gmail dot com> 0.2.0-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.2.0-1pclos2012
- process

* Tue Aug 29 2012 ghostbunny <ghostbunny at gmx dot de> 0.2.0-1pclos2012
- 0.2.0
- added german summaries and descriptions
- fixed English summary of the doc package ("Documentation for openbox"??? -> "Documentation for %{name}")
- added gtk-doc documentation

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.1.9-1pclos2012
- update

* Wed Jan 26 2011 Sproggy <desproggster at gmail.com> 0.1.5-1pclos2011
- update for xfce4.8

* Fri Nov 12 2010 Sproggy <desproggster@gmail.com> 0.1.2-2pclos2010
- 1.1.2 exo update

* Sun Nov 07 2010 Sproggy <desproggster@gmail.com> 0.1.2-1pclos2010
- 1.1.2

* Sun Nov 07 2010 Sproggy <desproggster@gmail.com> 0.1.1-1pclos2010
- initial build for pclos
